::-webkit-scrollbar {
    width: 4px;
}

::-webkit-scrollbar-track {
    background: #411414;
}

::-webkit-scrollbar-thumb {
    background: #5f0101;
    border-radius: 999px;
    box-shadow:
        0 0 6px rgba(107, 0, 0, 0.6),
        0 0 12px rgba(180, 0, 0, 0.3);
}

::-webkit-scrollbar-thumb:hover {
    background: #420000;
}

/* ==== Font ===== */
@font-face {
    font-family: "PSLSiaraPro";
    src: url("../font/PSL037PRO.TTF") format("truetype");
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: "PSLSiaraPro";
    src: url("../font/PSL038PRO.TTF") format("truetype");
    font-weight: 800;
    font-style: normal;
}

.font-PSLSiaraPro {
    font-family: "PSLSiaraPro", sans-serif;
}

/* CONTENT  */
.bpGhostMainLayout {
    position: relative;
    width: 100%;
    min-height: 100dvh;
    padding: 40px 50px 20px 50px;
    margin-top: 90px;

    background: url("https://img.gnjoy.in.th/2026/13/roc_battlepassGhostPalace/mainBg.png");
    background-position: top center;
    background-size: cover;

    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: end;

    color: #fff;
}

.bgGhostContentLayout {
    position: relative;
    z-index: 2;

    width: 100%;
    max-width: 850px;
    min-height: 700px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.bpGhostTitle {
    width: 100%;
    max-width: 780px;
}

.bpGhostButton {
    width: 220px;
    height: 45px;
    padding: 5px 10px;
    border: 1px solid transparent;

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    background: url('../img/landingpage/button.png');
    background-position: center;
    background-size: cover;

    font-family: "PSLSiaraPro", sans-serif;
    font-size: 30px;
    line-height: 30px;
    color: #d1d3cb;

    transition: all .5s;
}

.bpGhostHr {
    width: 1px;
    height: 40px;
    border-radius: 50px;
    margin: 0px 10px;
    background: #f5eedd;
}

.bpGhostButtonLayout {
    width: 100%;

    display: flex;
    align-items: center;
    justify-content: center;
}

/* ====================== 
    MODAL - About System 
   ====================== */
.modal-content {
    height: fit-content !important;
}

.systemAboutMainLayout {
    position: relative;
    width: 100%;
    min-height: 100dvh;
    padding: 0px;

    background: url("https://img.gnjoy.in.th/2026/13/roc_battlepassGhostPalace/submainBg.png");
    background-position: center;
    background-size: cover;
}

.systemAboutObjectBg {
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;

    width: 100%;
    height: 100%;
    opacity: .2;
}

.close-button {
    position: relative;
    z-index: 2;

    width: 30px;
    height: 30px;
    border-radius: 50px;
    padding: 5px;
    border: 1px solid transparent;

    display: flex;
    align-items: center;
    justify-content: center;

    font-size: 20px;
    color: #d1d3cb;
    background: #971009c5;
    box-shadow: 0px 0px 10px 5px #971009;

    transition: .5s;
}

.close-button:hover {
    background: #971009;
}

.systemAboutTitleLayout {
    position: relative;
    z-index: 2;

    width: 380px;
    min-height: 45px;
    padding: 5px 10px;

    display: flex;

    align-items: center;
    justify-content: end;
    text-align: end;

    background: linear-gradient(90deg, rgba(0, 0, 0, 0) 0%, rgba(151, 16, 9, 1) 20%, rgba(151, 16, 9, 1) 100%, rgba(29, 5, 2, 0) 100%);

    font-family: "PSLSiaraPro", sans-serif;
    font-size: 45px;
    line-height: 45px;
    color: #d1d3cb;
}

.systemAboutContentMainLayout {
    position: relative;
    z-index: 2;
    width: 100%;
    /* min-height: calc(100dvh - 120px); */
    min-height: 100dvh;
    padding-top: 100px;

    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;

    font-family: "PSLSiaraPro", sans-serif;
    color: #363524;
}

.systemAboutContentLeftMainLayout {
    position: relative;
    z-index: 2;
    width: 450px;
    height: 700px;
    padding: 120px 25px 110px 25px;

    background: url("../img/landingpage/frame.png");
    background-position: top;
    background-size: cover;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
}

.systemAboutContentRightMainLayout {
    position: relative;
    z-index: 2;

    width: 850px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.systemAboutFrame {
    width: 795px;
    height: 490px;
    padding: 85px 70px 55px 65px;

    background: url("../img/landingpage/frame2.png");
    background-position: top;
    background-size: cover;

    color: #2e2a1d;
    font-size: 22px;
    line-height: 22px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}

.systemLTitle {
    position: absolute;
    top: -120px;
    left: 50%;
    transform: translateX(-53%);

    width: 380px;
}

.systemLObjetc {
    position: absolute;
    top: 30px;
    right: -80px;

    width: 150px;
}

.systemLContent {
    width: 100%;
    padding-right: 20px;
    padding-left: 20px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;

    font-size: 24px;
    line-height: 25px;
    font-weight: 800;
    text-shadow: 1px 1px 2px #9c6232ad;
}

.systemLFooterLayout {
    position: relative;
    width: 100%;
    height: 200px;
    padding-left: 120px;

    display: flex;
}

.systemLFooterNpc {
    position: absolute;
    top: 0px;
    left: -100px;
    transform: rotate(3deg);

    width: 200px;
    height: 230px;
    padding: 8px;

    background: #363524;
    color: #d6c192;

    font-size: 20px;
    line-height: 20px;
    font-weight: 800;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.systemLFooterNpcFrame {
    width: 100%;
    height: 160px;
    padding: 20px;

    background: #e4e5e4;

    display: flex;
    align-items: center;
    justify-content: center;
}

.systemLFooterContent {
    width: 100%;
    display: flex;
    flex-direction: column;

    font-size: 23px;
    line-height: 25px;
    font-weight: 800;
    color: #332f20;
}

.systemLFooterContent h3 {
    font-size: 25px;
    line-height: 25px;
}

.systemAboutRTitleLayout {
    position: absolute;
    top: 5px;
    left: 50%;
    transform: translateX(-50%);

    width: 400px;
    min-height: 50px;
    padding: 5px 20px;

    background: #141604cc;

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    font-size: 40px;
    line-height: 40px;
    color: #e8dbc0;
}

.systemAboutRItemLayout {
    position: relative;
    width: 90px;
    min-width: 90px;
    height: 90px;

    background: #958064;
}

.systemAboutRItem {
    position: absolute;
    top: -15px;
    width: 90px;
}

.systemLvPass {
    width: 100%;
    max-width: 750px;
    height: 160px;
    padding: 15px 20px;
    overflow: auto;

    background: #2f2313cc;
    border: 1px solid #aea68a;
    color: #ceb894;

    font-size: 22px;
    line-height: 25px;
}

.systemLvPassTitle {
    width: fit-content;

    font-size: 40px;
    line-height: 40px;
    border-bottom: 1px solid #ceb894;
}

.systemLvPass::-webkit-scrollbar {
    width: 8px;
}

.systemLvPass::-webkit-scrollbar-track {
    background: rgba(255, 255, 255, 0.08);
    border-radius: 8px;
}

.systemLvPass::-webkit-scrollbar-thumb {
    background: #ceb894;
    border-radius: 10px;
    border: 1px solid #3b0000;
    box-shadow:
        0 0 0px rgba(107, 0, 0, 0),
        0 0 0px rgba(180, 0, 0, 0);
}

.systemLvPass::-webkit-scrollbar-thumb:hover {
    background: #9b8869;
}

.systemAboutNavbar {
    position: fixed;
    top: 0px;
    right: 0px;
    z-index: 3;

    width: 100%;
    padding: 10px 0px;
    display: flex;
    flex-direction: column;
    align-items: end;
    justify-content: center;
    gap: 15px;
}

/* ====================== 
    MODAL - How to Play
   ====================== */
.htpMainLayout {
    padding-top: 50px;

    display: flex;
    flex-direction: column;
    align-items: center;
}

.htpTitleLayout {
    position: relative;
    z-index: 2;

    width: 500px;
    min-height: 50px;
    padding: 5px 10px;
    background: linear-gradient(90deg, #00000000 0%, #971009 20%, #971009 80%, #1d050200 100%);

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    font-family: "PSLSiaraPro", sans-serif;
    font-size: 45px;
    line-height: 45px;
    color: #d1d3cb;
}

.htpProgressBar {
    width: 100%;
    min-height: 100px;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.htpProgressBarMainLayout {
    position: relative;
    z-index: 2;
    width: 100%;
    max-width: 1800px;
    min-height: 100px;

    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.htpProgressBarContentLayout {
    position: relative;
    width: 380px;
    min-height: 80px;

    display: flex;
    align-items: center;
    justify-content: center;
}

.htpProgressBarStep {
    position: relative;
    z-index: 2;
    width: 65px;
    height: 70px;
    padding: 5px;

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    font-family: "PSLSiaraPro", sans-serif;
    font-size: 45px;
    line-height: 45px;
    color: #dfceaa;

    background: url("../img/howtoplay/object.png");
    background-position: center;
    background-size: cover;

    filter: drop-shadow(1px 1px 5px #000000ad);
}

.htpProgressBarHr {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;

    width: 68%;
    height: 2px;
    border-radius: 50px;

    background: #971009;
}

.htpProgressFrame {
    width: 360px;
    height: 760px;
    padding: 75px 0px 10px 0px;

    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

    background: url("../img/howtoplay/frame.png");
    background-position: top;
    background-size: cover;

    filter: drop-shadow(1px 1px 5px #794916a6);

    font-family: "PSLSiaraPro", sans-serif;
    font-size: 22px;
    line-height: 22px;
    color: #4d4a1e;
}

.htpProgressFrameTitle {
    margin-bottom: 20px;
    height: 60px;
    min-height: 60px;

    font-size: 42px;
    line-height: 30px;
    font-weight: 800;
    color: #971009;
}

.htpProgressFrameItem {
    width: 100px;
    height: 100px;
    border-radius: 50px;
    margin-bottom: 15px;

    background: #917d63;
    display: flex;
    align-items: center;
    justify-content: center;
}

.htpTextShadow {
    text-shadow: 1px 1px 2px #9c623293;
}

.htpProgressFrameHr {
    width: 90%;
    height: 3px;
    background: linear-gradient(90deg, #00000000 0%, #971009 20%, #971009 80%, #1d050200 100%);
    margin: 10px 0px 25px 0px;
}

.htpProgressBlock {
    width: 100%;
    height: 600px;
    padding: 0px 15px;
    overflow: auto;

    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.htpProgressItem {
    width: 55px;
    min-width: 55px;
    height: 55px;
    border-radius: 10px;
    padding: 5px;
    border: 2px solid #8c775a;
    background: #fff;
}

.htpProgressItemTitle {
    width: 140px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.htpProgressItemTitle span {
    line-height: 18px;
}

.htpDetailBlock {
    width: 100%;
    height: 90px;
    min-height: 90px;
}


/* ====================== 
    RESPONSIVE 
   ====================== */
@media (max-width: 1528px) {
    .systemLFooterNpc {
        left: -55px;
        width: 160px;
        height: 230px;
    }
}

@media (max-width: 1470px) {
    .htpProgressBarMainLayout {
        max-width: 1300px;
    }

    .htpProgressBarContentLayout {
        width: 300px;
        min-width: 300px;
    }
}


/* ≤ 1399.98px (xl ลงมา) */
@media (max-width: 1399.98px) {
    .systemLObjetc {
        position: absolute;
        top: 30px;
        right: -65px;
        width: 130px;
    }

    .systemAboutContentLeftMainLayout {
        width: 400px;
        height: 690px;
        padding: 120px 20px 110px 20px;
    }

    .systemLFooterNpc {
        left: -35px;
        width: 140px;
        height: fit-content;
        font-size: 17px;
        line-height: 17px;
    }

    .systemLFooterNpcFrame {
        width: 100%;
        height: 130px;
        padding: 10px;
    }

    .systemLTitle {
        position: absolute;
        top: -95px;
        left: 50%;
        transform: translateX(-55%);
        width: 330px;
    }

    .systemLContent {
        padding-left: 10px;
        padding-right: 10px;
    }
}

@media (max-width: 1290px) {
    .systemLFooterNpc {
        left: 0px;
        width: 140px;
        min-width: 140px;
        height: fit-content;
        font-size: 17px;
        line-height: 17px;
        position: relative;
    }

    .systemLFooterLayout {
        padding-left: 0px;
        gap: 15px;
    }

    .systemAboutContentLeftMainLayout {
        padding: 120px 15px 110px 15px;
    }

    .systemAboutContentRightMainLayout {
        width: 750px;
    }

    .systemAboutContentMainLayout {
        gap: 20px;
    }

    .systemLObjetc {
        display: none;
    }
}

@media (max-width: 1240px) {
    .htpProgressBarMainLayout {
        max-width: 1100px;
    }

    .htpProgressBarContentLayout {
        width: 280px;
        min-width: 280px;
    }
}

/* ≤ 1199.98px (lg ลงมา) */
@media (max-width: 1199.98px) {
    .systemAboutContentRightMainLayout {
        width: 550px;
    }

    .systemAboutFrame {
        width: 550px;
        height: 560px;
        padding: 85px 20px 75px 20px;
    }

    .htpProgressBarMainLayout {
        max-width: 1100px;
        overflow: auto;
        justify-content: start;
        padding: 0px 20px 20px 20px;
        margin-top: 20px;
    }

    .htpProgressBar {
        overflow: auto;
        justify-content: flex-start;
    }

    .htpProgressBarContentLayout {
        width: 300px;
        min-width: 300px;
    }

    .htpProgressBar {
        scrollbar-width: thin;
        scrollbar-color: #971009 #2b2b2b;
    }

    /* Chrome / Edge / Safari */
    .htpProgressBar::-webkit-scrollbar {
        height: 6px;
    }

    .htpProgressBar::-webkit-scrollbar-track {
        background: rgba(255, 255, 255, 0.08);
        border-radius: 999px;
    }

    .htpProgressBar::-webkit-scrollbar-thumb {
        background: #971009;
        border-radius: 999px;
    }

    .htpProgressBar::-webkit-scrollbar-thumb:hover {
        background: #b61414;
    }

    .htpProgressBarStep {
        position: absolute;
        top: 0px;
        left: 50%;
        transform: translateX(-50%);

        width: 55px;
        height: 60px;
    }
}

/* ≤ 991.98px (md ลงมา) */
@media (max-width: 991.98px) {
    .bpGhostMainLayout {
        align-items: center;
    }

    .bgGhostContentLayout {
        max-width: 100%;
        min-height: 600px;
    }

    .bpGhostTitle {
        width: 100%;
        max-width: 650px;
    }

    .bpGhostButton {
        width: 200px;
        height: 40px;
        font-size: 25px;
        line-height: 25px;
    }

    .systemAboutContentMainLayout {
        gap: 20px;
        flex-direction: column;
        padding-bottom: 50px;
        padding-top: 180px;
    }

    .systemAboutFrame {
        width: 730px;
        height: 510px;
        padding: 75px 55px 75px 50px;

        background: url("../img/landingpage/frame2_2.png");
        background-position: center;
        background-size: cover;
    }

    .systemAboutRItem {
        position: relative;
        top: 0px;
        width: 70px;
    }

    .systemAboutRItemLayout {
        position: relative;
        width: 80px;
        min-width: 80px;
        height: 80px;
        padding: 5px;

        display: flex;
        align-items: center;
        justify-content: center;
    }

    .systemAboutContentRightMainLayout {
        width: 95%;
    }

    .systemLvPass {
        max-width: 90%;
        height: 220px;
    }

    .systemAboutContentLeftMainLayout {
        width: 670px;
        height: 680px;
        padding: 155px 55px 100px 55px;

        background: url("https://img.gnjoy.in.th/2026/13/roc_battlepassGhostPalace/frame_2.png");
        background-position: center;
        background-size: cover;
    }

    .systemLTitle {
        width: 400px;
    }
}

/* ≤ 767.98px (sm ลงมา) */
@media (max-width: 767.98px) {
    .bpGhostMainLayout {
        padding: 40px 20px 20px 20px;
    }

    .bpGhostTitle {
        max-width: 500px;
    }

    .systemLvPass {
        max-width: 100%;
        height: 220px;
    }

    .systemAboutFrame {
        width: 100%;
        height: fit-content;
        padding: 80px 30px 80px 30px;
    }

    .systemAboutRTitleLayout {
        top: 10px;
    }

    .systemAboutContentLeftMainLayout {
        width: 550px;
        padding: 155px 30px 100px 30px;
    }

    .systemLTitle {
        width: 350px;
        top: -55px;
    }
}

/* ≤ 575.98px (xs / mobile เล็กสุด) */
@media (max-width: 575.98px) {
    .bpGhostButtonLayout {
        flex-direction: column;
        gap: 10px;
    }

    .bpGhostHr {
        display: none;
    }

    .bpGhostMainLayout {
        justify-content: center;
    }

    .systemAboutRTitleLayout {
        top: 15px;
        width: 330px;
        font-size: 35px;
        line-height: 35px;
    }

    .systemLvPass {
        max-width: 100%;
        height: fit-content;
    }

    .systemAboutFrame {
        padding: 80px 20px 80px 20px;
        background: url("../img/landingpage/frame2_3.png");
        background-position: center;
        background-size: cover;
    }

    .systemAboutRTitleLayout {
        top: 0px;
        width: 95%;
        font-size: 30px;
        line-height: 25px;
    }

    .systemAboutTitleLayout {
        font-size: 35px;
        line-height: 35px;

        width: 280px;
        height: 50px;

        justify-content: end;
    }

    .systemAboutContentLeftMainLayout {
        width: 95%;
        height: fit-content;
        padding: 195px 20px 150px 20px;
    }

    .systemLFooterLayout {
        height: fit-content;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .systemLContent {
        padding-left: 0px;
        padding-right: 0px;
    }

    .systemLFooterContent {
        align-items: center;
        text-align: center;
    }

    .systemLTitle {
        width: 300px;
        top: 0px;
        transform: translateX(-50%);
    }

    .systemAboutContentMainLayout {
        padding-top: 120px;
    }

    .htpTitleLayout {
        width: 320px;
        font-size: 35px;
        line-height: 35px;
    }
}

@media (max-width: 320px) {
    .systemLTitle {
        width: 250px;
        top: 35px;
        transform: translateX(-50%);
    }
}